package com.uas.eis.entity;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "action")
public class ActionConfig {
	private String apiAction;
	private String[] publicActions;
	
	public String getApiAction() {
		return apiAction == null ? "" : apiAction;
	}
	public void setApiAction(String apiAction) {
		this.apiAction = apiAction;
	}
	public String[] getPublicActions() {
		return publicActions == null ? new String[]{} : publicActions;
	}
	public void setPublicActions(String[] publicActions) {
		this.publicActions = publicActions;
	}
}
